Skip to content
Start here

Open a new browser tab.

client.BrowserRendering.Devtools.Browser.Targets.New(ctx, sessionID, params) (*DevtoolBrowserTargetNewResponse, error)
PUT/accounts/{account_id}/browser-rendering/devtools/browser/{session_id}/json/new

Opens a new tab in the browser. Optionally specify a URL to navigate to.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
sessionID string

Browser session ID.

formatuuid
params DevtoolBrowserTargetNewParams
AccountID param.Field[string]

Path param: Account ID.

URL param.Field[string]Optional

Query param

formaturi
ReturnsExpand Collapse
type DevtoolBrowserTargetNewResponse struct{…}
ID string

Target ID.

Type string

Target type (page, background_page, worker, etc.).

URL string

URL of the target.

Description stringOptional

Target description.

DevtoolsFrontendURL stringOptional

DevTools frontend URL.

Title stringOptional

Title of the target.

WebSocketDebuggerURL stringOptional

WebSocket URL for debugging this target.

Open a new browser tab.

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/browser_rendering"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  target, err := client.BrowserRendering.Devtools.Browser.Targets.New(
    context.TODO(),
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    browser_rendering.DevtoolBrowserTargetNewParams{
      AccountID: cloudflare.F("account_id"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", target.ID)
}
{
  "id": "id",
  "type": "type",
  "url": "url",
  "description": "description",
  "devtoolsFrontendUrl": "devtoolsFrontendUrl",
  "title": "title",
  "webSocketDebuggerUrl": "webSocketDebuggerUrl"
}
Returns Examples
{
  "id": "id",
  "type": "type",
  "url": "url",
  "description": "description",
  "devtoolsFrontendUrl": "devtoolsFrontendUrl",
  "title": "title",
  "webSocketDebuggerUrl": "webSocketDebuggerUrl"
}